Авторизация
Обновить токен
Выдаёт новый access по refresh. Новый refresh не выдаётся.
POST
/
api
/
token
/
refresh
/
curl -X POST "https://api.aigenda.tech/api/token/refresh/" \
-H "Content-Type: application/json" \
-d '{
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}'
import requests
response = requests.post(
"https://api.aigenda.tech/api/token/refresh/",
json={
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/token/refresh/", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}),
});
const data = await response.json();
console.log(data);
{
"access": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIn0.sig"
}
{
"detail": "Given token not valid for any token type",
"code": "token_not_valid"
}
Тело запроса
string
обязательно
Токен
refresh из ответа на вход. Действует 1 сутки.Ответ
string
Новый токен доступа.
refresh истекает. Тогда получите новую пару через Получить токен.
curl -X POST "https://api.aigenda.tech/api/token/refresh/" \
-H "Content-Type: application/json" \
-d '{
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}'
import requests
response = requests.post(
"https://api.aigenda.tech/api/token/refresh/",
json={
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/token/refresh/", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}),
});
const data = await response.json();
console.log(data);
{
"access": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIn0.sig"
}
{
"detail": "Given token not valid for any token type",
"code": "token_not_valid"
}
Последнее изменение 17 октября 2026 г.
⌘I
curl -X POST "https://api.aigenda.tech/api/token/refresh/" \
-H "Content-Type: application/json" \
-d '{
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}'
import requests
response = requests.post(
"https://api.aigenda.tech/api/token/refresh/",
json={
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/token/refresh/", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig"
}),
});
const data = await response.json();
console.log(data);
{
"access": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIn0.sig"
}
{
"detail": "Given token not valid for any token type",
"code": "token_not_valid"
}